Skip to main content
GET
/
api
/
indexes
List indexes
curl --request GET \
  --url https://www.neode.ai/api/indexes \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "description": "<string>",
      "is_public": true,
      "preferred_predicates": [
        "<string>"
      ],
      "rules": "<string>",
      "item_count": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "count": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.neode.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key for authentication

Query Parameters

Search by name or description

offset
integer
default:0

Number of results to skip for pagination

Required range: x >= 0
limit
integer
default:50

Maximum number of results

Response

Successful response

Response containing a list of indexes

success
boolean
data
object[]
count
integer